Retrieve balances for multiple accounts and all active usage sources.
curl --request GET \
--url https://api.example.com/v2/accounts/balances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v2/accounts/balances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v2/accounts/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "account_0194f4e3a2b77c6aa91c4f6b4db2a980",
"metric_id": "metric_0194f4e3a2b77c6aa91c4f6b4db2a980",
"currency": "usd",
"grant_total": "1000",
"usage_total": "275.5",
"balance": "724.5"
}
]
}"<string>""Invalid API key""<string>""not found""<string>""rate limit exceeded""<string>"Accounts
Retrieve balances for multiple accounts and all active usage sources.
Returns active grant totals, corrected usage totals, and balances for every active metric and granted currency across up to 100 accounts. The PostgreSQL and ClickHouse aggregates run in parallel.
GET
/
v2
/
accounts
/
balances
Retrieve balances for multiple accounts and all active usage sources.
Authorizations
LedgerUp API Key.
Query Parameters
Comma-separated LedgerUp account identifiers. Between 1 and 100 unique ids.
Response
Balances for the requested accounts and all active metrics and granted currencies.
Show child attributes
Show child attributes
⌘I